Bug 642 - convertSambaAccount script does not always work
convertSambaAccount script does not always work
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Upgrade
3.0.0
Other other
: P3 minor
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 09:53 UTC by Kristis Makris
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
This patch adds a comment in the convertSambaAccount script that documents the best way to create an LDIF file that the script won't fail to process. (253 bytes, patch)
2003-10-17 09:54 UTC, Kristis Makris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kristis Makris 2003-10-17 09:53:39 UTC
The converstSambaAccount script does not always work.

In particular, when the ldif file is generated using:

ldapsearch -x -h ldapsrv -D cn=root,dc=company,dc=com -b dc=company,dc=com

then at the end it contains the entries:

# search result
search: 2
result: 0 Success

# numResponses: 99
# numEntries: 98


...at least using the ldapsearch utility that comes from the RedHat package
openldap-clients-2.0.27-2.7.3

This yields the error message:

First line of LDIF entry does not begin with 'dn:' at ./convertSambaAccount line 133



A better way to generate that LDIF file is:

ldapsearch -LL -x -h ldapsrv -D cn=root,dc=company,dc=com -b dc=company,dc=com

Note the "-LL" argument so no comments whatsoever are generated. It would be
nice if this was clarified in the script's documentation, and also reflected in
the document that is currently available at:

http://us2.samba.org/samba/docs/man/Samba-HOWTO-Collection.html
Comment 1 Kristis Makris 2003-10-17 09:54:56 UTC
Created attachment 204 [details]
This patch adds a comment in the convertSambaAccount script that documents the best way to create an LDIF file that the script won't fail to process.
Comment 2 Kristis Makris 2003-10-17 10:00:18 UTC
Comment on attachment 204 [details]
This patch adds a comment in the convertSambaAccount script that documents the best way to create an LDIF file that the script won't fail to process.

Type'o fix
Comment 3 Gerald (Jerry) Carter 2003-11-04 20:14:48 UTC
patch committed.  Thanks.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:23:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.